Loading...
Searching...
No Matches
Error Data Accessors and Modifiers
Globus Common API » Globus Error API » Globus Generic Error API

Error Data Accessors and Modifiers. More...

## Get Source

globus_module_descriptor_t * | globus_error_get_source (globus_object_t *error)

## Set Source

void | globus_error_set_source (globus_object_t *error, globus_module_descriptor_t *source_module)

## Get Cause

globus_object_t * | globus_error_get_cause (globus_object_t *error)

## Set Cause

void | globus_error_set_cause (globus_object_t *error, globus_object_t *causal_error)

## Get Type

int | globus_error_get_type (globus_object_t *error)

## Set Type

void | globus_error_set_type (globus_object_t *error, const int type)

## Get Short Description

char * | globus_error_get_short_desc (globus_object_t *error)

## Set Short Description

void | globus_error_set_short_desc (globus_object_t *error, const char *short_desc_format,...)

## Get Long Description

char * | globus_error_get_long_desc (globus_object_t *error)

## Set Long Description

void | globus_error_set_long_desc (globus_object_t *error, const char *long_desc_format,...)

## Detailed Description

Error Data Accessors and Modifiers.

Get and set data in a Globus Generic Error object.

This section defines operations for accessing and modifying data in a Globus Generic Error object.

## Function Documentation

## globus_error_get_cause()

globus_object_t * globus_error_get_cause | ( | globus_object_t * | error | ) |

Retrieve the underlying error from a error object.

Parameters

  error | The error from which to retrieve the causative error.

Returns
  The underlying error object if it exists, NULL if it doesn't.

## globus_error_get_long_desc()

char * globus_error_get_long_desc | ( | globus_object_t * | error | ) |

Retrieve the long error description from a generic globus error object.

Parameters

  error | The error from which to retrieve the description

Returns
  The long error description of the object

## globus_error_get_short_desc()

char * globus_error_get_short_desc | ( | globus_object_t * | error | ) |

Retrieve the short error description from a generic globus error object.

Parameters

  error | The error from which to retrieve the description

Returns
  The short error description of the object

## globus_error_get_source()

globus_module_descriptor_t * globus_error_get_source | ( | globus_object_t * | error | ) |

Retrieve the originating module descriptor from a error object.

Parameters

  error | The error from which to retrieve the module descriptor

Returns
  The originating module descriptor.

## globus_error_get_type()

int globus_error_get_type | ( | globus_object_t * | error | ) |

Retrieve the error type from a generic globus error object.

Parameters

  error | The error from which to retrieve the error type

Returns
  The error type of the object

## globus_error_set_cause()

void globus_error_set_cause | ( | globus_object_t * | error,
|  | globus_object_t * | causal_error )

Set the causative error in a error object.

Parameters

  error | The error object for which to set the causative error.
  causal_error | The causative error.

Returns
  void

## globus_error_set_long_desc()

void globus_error_set_long_desc | ( | globus_object_t * | error,
|  | const char * | long_desc_format,
|  |  | ... )

Set the long error description in a generic globus error object.

Parameters

  error | The error object for which to set the description
  long_desc_format | Longer format string giving a more detailed explanation of the error.

Returns
  void

## globus_error_set_short_desc()

void globus_error_set_short_desc | ( | globus_object_t * | error,
|  | const char * | short_desc_format,
|  |  | ... )

Set the short error description in a generic globus error object.

Parameters

  error | The error object for which to set the description
  short_desc_format | Short format string giving a succinct description of the error. To be passed on to the user.
  ... | Arguments for the format string.

Returns
  void

## globus_error_set_source()

void globus_error_set_source | ( | globus_object_t * | error,
|  | globus_module_descriptor_t * | source_module )

Set the originating module descriptor in a error object.

Parameters

  error | The error object for which to set the causative error
  source_module | The originating module descriptor

Returns
  void

## globus_error_set_type()

void globus_error_set_type | ( | globus_object_t * | error,
|  | const int | type )

Set the error type in a generic globus error object.

Parameters

  error | The error object for which to set the error type
  type | The error type

Returns
  void